%define name mono-zeroconf
%define version 0.9.0
%define release 9

Summary: Cross platform Zero Configuration Networking library 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://download.banshee-project.org/mono-zeroconf/%{name}-%{version}.tar.bz2
License: BSD
Group: System/Libraries
Url: http://mono-project.com/Mono_Zeroconf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: monodoc
BuildRequires: avahi-sharp

%description
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package 1.0
Summary: Cross platform Zero Configuration Networking library 
Group: Development/Other
Conflicts: %name < 0.9.0-5
Requires: %name = %version

%description 1.0
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

This package contains a compatibility API for older applications.

%package 2.0
Summary: Cross platform Zero Configuration Networking library 
Group: Development/Other
Conflicts: %name < 0.9.0-5
Requires: %name = %version

%description 2.0
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

This package contains a compatibility API for older applications.

%package 3.0
Summary: Cross platform Zero Configuration Networking library 
Group: Development/Other
Conflicts: %name < 0.9.0-5
Requires: %name = %version

%description 3.0
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

This package contains a compatibility API for older applications.

%package 4.0
Summary: Cross platform Zero Configuration Networking library 
Group: Development/Other
Conflicts: %name < 0.9.0-5
Requires: %name = %version

%description 4.0
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

This package contains a compatibility API for older applications.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Mono.Zeroconf is a cross platform Zero Configuration Networking library for
Mono and .NET. It provides a unified API for performing the most common
zeroconf operations on a variety of platforms and subsystems: all the
operating systems supported by Mono and both the Avahi and
Bonjour/mDNSResponder transports.

This package was built with support vor Avahi only.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
This package contains the API documentation for %name in
Monodoc format.

%prep
%setup -q

%build
./configure --prefix=%_prefix --disable-mdnsresponder
make

%install
rm -rf %{buildroot}
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

%clean
rm -rf %{buildroot}

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi


%files
%defattr(-,root,root)
%doc README COPYING
%_bindir/mzclient
%_prefix/lib/%name
%_prefix/lib/mono/gac/Mono.Zeroconf
%_prefix/lib/mono/%name

%files 1.0
%defattr(-,root,root)
%_prefix/lib/mono/gac/policy.1.0.Mono.Zeroconf

%files 2.0
%defattr(-,root,root)
%_prefix/lib/mono/gac/policy.2.0.Mono.Zeroconf

%files 3.0
%defattr(-,root,root)
%_prefix/lib/mono/gac/policy.3.0.Mono.Zeroconf

%files 4.0
%defattr(-,root,root)
%_prefix/lib/mono/gac/policy.4.0.Mono.Zeroconf

%files devel
%defattr(-,root,root)
%_datadir/pkgconfig/mono-zeroconf.pc

%files doc
%defattr(-,root,root)
%_prefix/lib/monodoc/sources/*





%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9.0-9
+ Revision: 43a50f3
- MassBuild#440: Increase release tag


